import { tick } from '@angular/core/testing';
import { __decorate, __metadata } from 'tslib';
import { Injectable } from '@angular/core';

var FormControlMock = /** @class */ (function () {
    function FormControlMock(type) {
        if (type === void 0) { type = 'text'; }
        this.nativeElement = document.createElement('input');
        this.nativeElement.setAttribute('type', type);
    }
    return FormControlMock;
}());

function advance(f, advanceBy) {
    if (advanceBy === void 0) { advanceBy = 0; }
    tick(advanceBy);
    f.detectChanges();
}

var _this = this;
var MockToast = /** @class */ (function () {
    function MockToast(message, context, header) {
        this.message = message;
        this.context = context;
        this.header = header;
    }
    MockToast.prototype.dismiss = function () {
        return new Promise(function (resolve) { return resolve(); });
    };
    return MockToast;
}());
var ɵ0 = function () { }, ɵ1 = function (message, header) {
    return new MockToast(message, 'danger', header);
}, ɵ2 = function (message, header) {
    return new MockToast(message, 'info', header);
}, ɵ3 = function (message, header) {
    return new MockToast(message, 'success', header);
}, ɵ4 = function (message, header) {
    return new MockToast(message, 'success', header);
}, ɵ5 = function () {
    return new Promise(function (r) { return r(_this); });
}, ɵ6 = function (name, fn) { };
/** @dynamic */
var mockToastController = {
    dismissAll: ɵ0,
    error: ɵ1,
    message: ɵ2,
    success: ɵ3,
    warn: ɵ4,
    componentOnReady: ɵ5,
    addEventListener: ɵ6
};
/** @dynamic */
var MockToastService = /** @class */ (function () {
    function MockToastService() {
        this.controller = MockToastService_1.createController();
    }
    MockToastService_1 = MockToastService;
    MockToastService.createController = function () {
        return mockToastController;
    };
    MockToastService.prototype.dismissAll = function () {
        this.controller.dismissAll();
    };
    MockToastService.prototype.error = function (message, header) {
        return this.controller.error(message, header);
    };
    MockToastService.prototype.message = function (message, header) {
        return this.controller.message(message, header);
    };
    MockToastService.prototype.success = function (message, header) {
        return this.controller.success(message, header);
    };
    MockToastService.prototype.warn = function (message, header) {
        return this.controller.warn(message, header);
    };
    var MockToastService_1;
    MockToastService = MockToastService_1 = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [])
    ], MockToastService);
    return MockToastService;
}());

/* Helpers */

/**
 * Generated bundle index. Do not edit.
 */

export { FormControlMock, MockToast, MockToastService, advance, mockToastController, ɵ0, ɵ1, ɵ2, ɵ3, ɵ4, ɵ5, ɵ6 };
//# sourceMappingURL=anjuna-angular-core-testing.js.map
